commit:     09e068a2b18c9fed036814adae72b17514bf0510
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue May 17 20:59:20 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue May 17 21:09:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09e068a2

app-arch/bzip3: drop useless static-libs USE flag

as QA requested
https://projects.gentoo.org/qa/policy-guide/installed-files.html#pg0302
also, use releases source for version 1.1.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/bzip3/Manifest                             |  2 +-
 .../{bzip3-1.1.3.ebuild => bzip3-1.1.1-r1.ebuild}   | 14 +++-----------
 .../{bzip3-1.1.2.ebuild => bzip3-1.1.2-r1.ebuild}   | 16 +++++-----------
 .../{bzip3-1.1.1.ebuild => bzip3-1.1.3-r1.ebuild}   | 21 ++++++---------------
 4 files changed, 15 insertions(+), 38 deletions(-)

diff --git a/app-arch/bzip3/Manifest b/app-arch/bzip3/Manifest
index 74a9f9ed885c..e1cae6a246f9 100644
--- a/app-arch/bzip3/Manifest
+++ b/app-arch/bzip3/Manifest
@@ -1,3 +1,3 @@
-DIST bzip3-1.1.1.tar.gz 2349860 BLAKE2B 
dd740b631b66db40bce35cccc0a46e4bbfe2a929aeaa2b083419e94cfcf3967c97fc6233e50fb1b0cb185ebd23bcad082567ca11ad5f0f037bdc4a95eb792f77
 SHA512 
22c7e415b2cd423b08a99051fd54bf0773e11a978559c9c382a4667087d6f1671de9ec564a5badbe1e8283aba83f5d1c70392ba7a0a96c8669ffee302d5d47e9
+DIST bzip3-1.1.1.tar.xz 255884 BLAKE2B 
09c3b6fdfefc8b82b16f5adf45405d4b61e2188dbe93c1079ffa32560a591c4b5e4f03d0550573d54d79f7c1a4e9d0bf628deddddbf89b17722755248ff6fe41
 SHA512 
889cdcbf7cbc4972762830d3794c13202b308da039794758d243216f1768a6bbb7660ac4341a3ddb73629c943c830000372e21e1a40b2e1091d05b9e6c54fa26
 DIST bzip3-1.1.2.tar.xz 256108 BLAKE2B 
a5f91fe2760fd4f7f79b908d735d613823dedac23e59950317c26f50d0a657dde042e5a08d401984c14d686d33726caa81e4b34cbca26e28c57a96f61e4f23ab
 SHA512 
8b179bfe9b1b67c516580934cd12a640c86b3f9525c5e7902672051d80198cb91aa8880a4ca3ce14a879d26873405c713f1a0c6a33138d21f4d51c9e93d8fac5
 DIST bzip3-1.1.3.tar.xz 257212 BLAKE2B 
cc94b4c2caa3123b2c775d66143757bcaea7ead6d8a130391d6714583cfcb92fffca47ad80ffc8b5a01483f6cbfab7101c96521cd97e740116c9e10c64c358e8
 SHA512 
d48695d066ddc79e81c189f8c06e999f8eb8191982db8908f7bd4dfaa0f8fab1ba57e41664962cc6e8611f8398603918e4bd4d58efff2f04292ea54983a6f38d

diff --git a/app-arch/bzip3/bzip3-1.1.3.ebuild 
b/app-arch/bzip3/bzip3-1.1.1-r1.ebuild
similarity index 74%
rename from app-arch/bzip3/bzip3-1.1.3.ebuild
rename to app-arch/bzip3/bzip3-1.1.1-r1.ebuild
index bc68102070ae..3854b7aad967 100644
--- a/app-arch/bzip3/bzip3-1.1.3.ebuild
+++ b/app-arch/bzip3/bzip3-1.1.1-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit toolchain-funcs autotools
+inherit toolchain-funcs
 
 DESCRIPTION="A better and stronger spiritual successor to BZip2"
 HOMEPAGE="https://github.com/kspalaiologos/bzip3";
@@ -18,23 +18,15 @@ fi
 
 LICENSE="LGPL-3+"
 SLOT="0"
-IUSE="static-libs"
-
-src_prepare() {
-       default
-       eautoreconf
-}
 
 src_configure() {
        # ./configure script will default to Clang if it is found on the system,
        # force the use of CC selected by the user with CC=$(tc-getCC)
-       econf $(use_enable static-libs static) CC=$(tc-getCC)
+       econf CC=$(tc-getCC)
 }
 
 src_install() {
        default
 
-       if ! use static-libs ; then
-               find "${ED}" -type f -name '*.la' -delete || die
-       fi
+       find "${ED}" -type f -name '*.la' -delete || die
 }

diff --git a/app-arch/bzip3/bzip3-1.1.2.ebuild 
b/app-arch/bzip3/bzip3-1.1.2-r1.ebuild
similarity index 69%
rename from app-arch/bzip3/bzip3-1.1.2.ebuild
rename to app-arch/bzip3/bzip3-1.1.2-r1.ebuild
index 4ccf8c7adedf..3854b7aad967 100644
--- a/app-arch/bzip3/bzip3-1.1.2.ebuild
+++ b/app-arch/bzip3/bzip3-1.1.2-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit autotools
+inherit toolchain-funcs
 
 DESCRIPTION="A better and stronger spiritual successor to BZip2"
 HOMEPAGE="https://github.com/kspalaiologos/bzip3";
@@ -18,21 +18,15 @@ fi
 
 LICENSE="LGPL-3+"
 SLOT="0"
-IUSE="static-libs"
-
-src_prepare() {
-       default
-       eautoreconf
-}
 
 src_configure() {
-       econf $(use_enable static-libs static)
+       # ./configure script will default to Clang if it is found on the system,
+       # force the use of CC selected by the user with CC=$(tc-getCC)
+       econf CC=$(tc-getCC)
 }
 
 src_install() {
        default
 
-       if ! use static-libs ; then
-               find "${ED}" -type f -name '*.la' -delete || die
-       fi
+       find "${ED}" -type f -name '*.la' -delete || die
 }

diff --git a/app-arch/bzip3/bzip3-1.1.1.ebuild 
b/app-arch/bzip3/bzip3-1.1.3-r1.ebuild
similarity index 57%
rename from app-arch/bzip3/bzip3-1.1.1.ebuild
rename to app-arch/bzip3/bzip3-1.1.3-r1.ebuild
index 13c9cf6dec77..3854b7aad967 100644
--- a/app-arch/bzip3/bzip3-1.1.1.ebuild
+++ b/app-arch/bzip3/bzip3-1.1.3-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit autotools
+inherit toolchain-funcs
 
 DESCRIPTION="A better and stronger spiritual successor to BZip2"
 HOMEPAGE="https://github.com/kspalaiologos/bzip3";
@@ -12,30 +12,21 @@ if [[ ${PV} == *9999* ]] ; then
        inherit git-r3
        EGIT_REPO_URI="https://github.com/kspalaiologos/${PN}.git";
 else
-       SRC_URI="https://github.com/kspalaiologos/${PN}/archive/${PV}.tar.gz
-                               -> ${P}.tar.gz"
+       
SRC_URI="https://github.com/kspalaiologos/${PN}/releases/download/${PV}/${P}.tar.xz";
        KEYWORDS="~amd64 ~x86"
 fi
 
 LICENSE="LGPL-3+"
 SLOT="0"
-IUSE="static-libs"
-
-src_prepare() {
-       default
-       eautoreconf
-
-       echo ${PV} > .tarball-version || die
-}
 
 src_configure() {
-       econf $(use_enable static-libs static)
+       # ./configure script will default to Clang if it is found on the system,
+       # force the use of CC selected by the user with CC=$(tc-getCC)
+       econf CC=$(tc-getCC)
 }
 
 src_install() {
        default
 
-       if ! use static-libs ; then
-               find "${ED}" -type f -name '*.la' -delete || die
-       fi
+       find "${ED}" -type f -name '*.la' -delete || die
 }

Reply via email to